package ru.bitel.mybgbilling.kernel.common.inject;

import java.io.Serializable;

import javax.annotation.PostConstruct;
import javax.enterprise.context.RequestScoped;
import javax.enterprise.context.SessionScoped;
import javax.inject.Inject;
import javax.inject.Named;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import ru.bitel.mybgbilling.kernel.common.AbstractBean;
import ru.bitel.mybgbilling.kernel.common.inject.BGInject;
import ru.bitel.mybgbilling.kernel.common.inject.BGInjection;

import ru.bitel.mybgbilling.kernel.contract.NotificationBean;
import ru.bitel.bgbilling.common.BGException;
import ru.bitel.bgbilling.kernel.contract.api.common.service.ContractNotificationService;

/**
 * Расширяет AbstractBean, можно использовать только когда пользователь аутентифицирован.
 */
@Named
@RequestScoped
@BGInjection
public class MyTestBean2
    extends AbstractBean
    implements Serializable
{
    @Inject
    private NotificationBean notificationBean;

    protected void init()
    {
    }

    public String hello()
        throws BGException
    {
        return "HELLO WORLD 2";
    }
}